BatchCreateWebhookLogs
curl --request POST \
--url https://api.siftstack.com/api/v1/webhooks/logs:batch-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"webhookId": "<string>",
"eventId": "<string>",
"retryAttemptNumber": 123,
"status": "WEBHOOK_LOG_STATUS_UNSPECIFIED",
"payload": "<string>",
"errorReason": "<string>",
"sentDate": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/webhooks/logs:batch-create"
payload = { "requests": [
{
"webhookId": "<string>",
"eventId": "<string>",
"retryAttemptNumber": 123,
"status": "WEBHOOK_LOG_STATUS_UNSPECIFIED",
"payload": "<string>",
"errorReason": "<string>",
"sentDate": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/webhooks/logs:batch-create"
payload := strings.NewReader("{\n \"requests\": [\n {\n \"webhookId\": \"<string>\",\n \"eventId\": \"<string>\",\n \"retryAttemptNumber\": 123,\n \"status\": \"WEBHOOK_LOG_STATUS_UNSPECIFIED\",\n \"payload\": \"<string>\",\n \"errorReason\": \"<string>\",\n \"sentDate\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}WebhookService
BatchCreateWebhookLogs
Create a batch of webhook logs. Users should not have to call this directly.
POST
/
api
/
v1
/
webhooks
/
logs:batch-create
BatchCreateWebhookLogs
curl --request POST \
--url https://api.siftstack.com/api/v1/webhooks/logs:batch-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"webhookId": "<string>",
"eventId": "<string>",
"retryAttemptNumber": 123,
"status": "WEBHOOK_LOG_STATUS_UNSPECIFIED",
"payload": "<string>",
"errorReason": "<string>",
"sentDate": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/webhooks/logs:batch-create"
payload = { "requests": [
{
"webhookId": "<string>",
"eventId": "<string>",
"retryAttemptNumber": 123,
"status": "WEBHOOK_LOG_STATUS_UNSPECIFIED",
"payload": "<string>",
"errorReason": "<string>",
"sentDate": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/webhooks/logs:batch-create"
payload := strings.NewReader("{\n \"requests\": [\n {\n \"webhookId\": \"<string>\",\n \"eventId\": \"<string>\",\n \"retryAttemptNumber\": 123,\n \"status\": \"WEBHOOK_LOG_STATUS_UNSPECIFIED\",\n \"payload\": \"<string>\",\n \"errorReason\": \"<string>\",\n \"sentDate\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request for a call to WebhookService_BatchCreateWebhookLogs to create a batch of webhook logs.
The request for a call to WebhookService_BatchCreateWebhookLogs to create a batch of webhook logs.
Show child attributes
Show child attributes
Response
A successful response.
The response of a call to WebhookService_BatchCreateWebhookResponse.
Was this page helpful?
⌘I